mixin iconBlock(settings = {})
  - 
    const {noContent} = settings;
    delete settings.noContent;
    settings.tag = settings.tag || 'div';

  if noContent
    #{settings.tag}(class= classes('icon-block', settings))&attributes(attributes)
      block
  else
    #{settings.tag}(class= classes('icon-block', settings))&attributes(attributes)
      .icon-block__inner: block
